# **1. Préambule**

Ce document a pour fonction d’établir les règles officielles de la belote, dans sa variante la plus pratiquée,
c’est-à-dire la belote à 4 joueurs répartis en 2 équipes de 2 joueurs, seules règles reconnues par la Fédération
Française de Belote.

Source : [Règles officielles de la Belote](http://www.ffbelote.org/wp-content/uploads/2016/01/regles-officielles-de-la-Belote-27-01-2016.pdf)

***

# **2. Présentation**

Le jeu de belote se joue avec un jeu de **32 cartes**, comprenant les 7, 8, 9, 10, Valets, Dames, Rois et As les quatre
couleurs pique, cœur, carreau et trèfle et oppose deux équipes de deux joueurs se faisant face : équipe nord/sud opposée
à ouest/est.

La partie se déroule en plusieurs donnes (également appelées mènes) et se termine lorsqu'une équipe atteint ou dépasse
un nombre de points défini au départ, ou après un nombre défini de donnes. Une donne comprend plusieurs phases de jeu :

+ La distribution,
+ Les enchères,
+ Le jeu de la carte,
+ Le calcul du score.

***

# **3. La distribution**

## 3.1. Le donneur

Le premier donneur est tiré au sort de la façon suivante : une personne de chaque équipe tire une carte au hasard dans
le jeu étalé face cachée au milieu de la table. Le joueur ayant tiré la plus petite carte donne. La couleur des cartes
n'a pas d'importance. L'ordre des cartes à suivre, par ordre décroissant est le suivant :
> As, Roi, Dame, Valet, 10, 9, 8, 7.

En cas d'égalité, un nouveau tirage a lieu.

## 3.2. Mélange des cartes

Le mélange du jeu est obligatoire avant chaque distribution. Le donneur saisit les 32 cartes faces cachées, effectue un
mélange avant de reposer le paquet sur la table, toujours face cachée, en direction du joueur situé à sa gauche qui
effectue la coupe.

## 3.3. La coupe

Le joueur situé à la gauche du donneur effectue une coupe en 2 de manière franche sans compter le nombre de cartes qu’il
souhaite couper. **Chaque tas doit contenir au moins 3 cartes**. Le donneur referme la coupe.

## 3.4. La distribution (première partie)

Le donneur distribue 5 cartes à chaque joueur, **dans le sens inverse des aiguilles d’une montre en commençant par son
voisin de droite**, de l’une des manières suivantes : 3 cartes chacun puis 2, ou 2 cartes chacun puis 3. Il pose le
paquet de cartes restantes, face cachée, puis retourne dessus la première carte. Il est strictement interdit aux joueurs
de ramasser leurs cartes avant la fin de la distribution. Le premier tour d'enchère débute (4.1).

## 3.5. La distribution (deuxième partie)

Le donneur distribue la carte retournée au preneur, puis dans le sens inverse des aiguilles d'une montre 3 cartes à
chaque joueur ou 2 cartes au preneur.
***

# **4. Les enchères**

## 4.1. Premier tour

Les joueurs s'expriment chacun à leur tour en commençant par le joueur placé à droite du donneur et ont les possibilités
suivantes :

+ Un joueur passe son tour en disant « je passe » à l’exception de toute autre locution sauf accord préalable entre les
  2 équipes.
+ Un joueur peut choisir de « prendre » en disant « je prends » à l’exception de toute autre locution sauf accord
  préalable entre les 2 équipes. Dans ce cas, la couleur de l'atout sera celle de la carte retournée. Le tour d'enchères
  prend fin ; la distribution reprend (voir 3.5).

**Dans le cas où les quatre joueurs passent leur tour, un deuxième tour d'enchères a lieu dans les conditions
suivantes :**

## 4.2. Deuxième tour

Les joueurs s'expriment chacun à leur tour en commençant par le joueur placé à droite du donneur et ont les possibilités
suivantes :

+ Un joueur passe son tour en disant « deux » à l’exception de toute autre locution sauf accord préalable entre les 2
  équipes.
+ Un joueur peut choisir de « prendre » en annonçant la couleur de son choix qui définit alors la couleur de l'atout.
  Toute locution différente de « Pique », « Cœur », « Carreau » ou « Trèfle » est interdite sauf accord préalable entre
  les 2 équipes. La distribution reprend
  (voir 3.5).

**Dans le cas où les quatre joueurs passent leur tour, la donne est terminée. Le joueur situé immédiatement à la droite
du donneur devient le nouveau donneur.**
***

# **5. Le jeu de la carte**

Le jeu de la carte se compose de huit plis (ou « levées ») de quatre cartes.

## 5.1. Déroulement

Le joueur situé à droite du donneur joue la carte de son choix : c’est l’entame. La couleur de la carte de l’entame fixe
la couleur demandée. Les trois autres joueurs jouent alors une carte chacun leur tour, toujours dans le sens inverse des
aiguilles d’une montre, et en suivant les règles ci-dessous. Le pli est remporté par le joueur qui a joué la plus forte
carte à l'atout ou, à défaut, à la couleur demandée.

Ce dernier entame le pli suivant, et ainsi de suite. Toute carte sortie du jeu doit être jouée sauf autorisation ou avis
contraire de la part des adversaires.

Les plis sont toujours ramassés du côté de la même personne dans chaque équipe durant toute la donne, et sont empilés
dans leur ordre d’apparition.

Lorsqu'un pli est retourné, il n'est consultable qu'à l'issue du pli suivant (lorsque les quatre cartes sont jouées)
avant que celui-ci ne soit retourné à son tour. En aucun cas un joueur ne peut demander à consulter le pli précédent
avant de jouer sa carte. Lorsque toutes les cartes ont été jouées, on procède au calcul des points.

## 5.2. Règles

+ On doit **toujours** fournir la couleur demandée à l'entame si l'on en possède. Si la couleur demandée est l'atout,
  lorsque c'est possible, il faut en plus monter sur la carte la plus haute déjà posée.

+ Si l'on ne possède pas de carte dans la couleur demandée, et que notre partenaire n'est pas maître ou n'a pas encore
  joué : on est tenu de jouer un atout si l'on en possède (on dit que l’on « coupe »), sinon on peut jouer n'importe
  quelle carte sans exception (on dit que l'on se « défausse »).

+ Si un joueur adverse a déjà coupé et tient le pli, si l'on doit couper, il est obligatoire de fournir un atout plus
  fort que lui (on dit que l'on « surcoupe »). Si c'est impossible, il faut fournir un atout plus faible (on dit que
  l'on « pisse »).

+ Si le joueur partenaire a déjà coupé et tient le pli, si on ne possède pas la couleur demandée, il n'est pas
  obligatoire de couper. On peut se défausser de n'importe quelle carte sans exception (y compris un atout inférieur au
  sien).

***

# **6. Ordre et valeur des cartes**

Les cartes n’ont pas le même ordre ni la même valeur selon qu’il s’agisse d’atout ou non. Les tableaux suivants
indiquent l’ordre et la valeur des cartes dans l’ordre décroissant.

| Carte | À l’atout | Hors atout |
| ----- | --------- | ---------- |
| *As*    | 11 points | 11 points  |
| *Dix*   | 10 points | 10 points  |
| *Roi*   | 4 points  | 4 points   |
| *Dame*  | 3 points  | 3 points   |
| *Valet* | **20 points** | **2 points**   |
| *Neuf*  | **14 points** | **0 points**   |
| *Huit*  | 0 point   | 0 point    |
| *Sept*  | 0 point   | 0 point    |

***

# **7. La belote et la rebelote**

Lorsqu'un joueur détient ensemble **le roi et la dame d’atout**, on dit qu’il a la belote, ce qui offre à son équipe un
bonus de **20 points**.

Pour être conforme, elle doit être annoncée en disant « belote » lorsqu'il joue la première de ces deux cartes
(indifféremment la Dame ou le Roi), puis obligatoirement « rebelote » lorsqu'il joue la seconde.

> En cas d'omission d'un de ces deux termes, la belote n'est pas prise en compte.

**La belote annoncée de manière conforme est imprenable : le bonus de points est accordé même en cas de chute.**

***

# **8. Les annonces**

La belote classique se joue sans annonces.

***

# **9. Dix de der et capot**

## 9.1. Dix de der

L’équipe réalisant le dernier pli obtient un bonus de 10 points pour ce pli. Il s'agit de la règle du « dix de der »,
der étant le diminutif de « dernier pli ». Le total des points du jeu est donc de 162, en comptant le « dix de der ».

## 9.2. Capot

En cas de capot, c’est-à-dire les 8 plis remportés par la même équipe, le dix de der vaut 100 points, portant ainsi le
total à 252 points.

***

# **10. Calcul du score**

## 10.1. Résultat de la donne

Lorsque les 8 plis ont été joués, on procède au calcul du score. Chaque camp totalise ses points, à savoir :

+ Le nombre de points contenus dans les plis réalisés par son équipe,
+ Le dix de der,
+ La belote/rebelote.

### *10.1.1. Contrat réussi*

Le contrat est réussi si les preneurs obtiennent un total de points strictement supérieur au total de points de l'équipe
adverse, en incluant la belote.

### *10.1.2. Contrat chuté*

Le contrat est chuté si les preneurs obtiennent un total de points strictement inférieur au total de points de l'équipe
adverse.

### *10.1.3. Règle du litige*

En cas d'égalité entre les totaux de points des deux équipes (81-81 ou 91-91), il y a « litige ». Dans ce cas, **les
points du preneur sont remis en jeu (81 ou 91) et seront reversés à l'équipe réussissant le contrat de la donne
suivante.** L'équipe qui n'avait pas pris marque ses points (81 ou 91) dès la donne ayant mené au litige.

> Chaque tournoi se réserve le droit d'appliquer ou non la règle du litige et doit le stipuler clairement en amont. Dans
> le cas où elle n'est pas appliquée, le tournoi doit définir à l'avance si l'égalité de score provoque la chute ou la
> réussite du contrat pour l'équipe preneuse.

## 10.2. Score de la donne

À l'issue du décompte des points, chaque équipe marque le nombre de points de la façon suivante :

+ En cas de réussite du contrat, les deux équipes marquent le nombre de points qu'elles ont réalisés. La somme des
  points marqués hors belote est de 162 points (252 points en cas de capot réalisé).
+ En cas de chute du contrat, l'équipe n'ayant pas chuté marque 162 points ou 252 points s'il elle a réalisé un capot.
+ Toute belote est comptabilisée au profit de l'équipe l'ayant conformément annoncée, même en cas de chute.

## 10.3. Arrondi

> Chaque tournoi se réserve le droit d'appliquer ou non la règle de l'arrondi et doit le stipuler clairement en amont.

+ Dans le cas où elle est appliquée, le score marqué par chaque équipe est arrondi à la dizaine la plus proche.
  Exemple : 84 est arrondi à 80 ; 85 est arrondi à 90.
+ Dans le cas où elle n'est pas appliquée, le score de chaque équipe est marqué au point près.

## 10.4. Fin de partie

> Chaque tournoi se réserve le droit de fixer pour chaque partie une limite de donnes ou une limite de points et le
> stipuler clairement en amont.

### *10.4.1. Limite de donnes*

La partie prend fin lorsque ont été jouées autant de donnes que le nombre défini par le tournoi. Si les quatre joueurs
passent sur les deux tours d'enchères, on ne décompte pas cette donne. Dans le cas où la règle du litige est appliquée,
la donne ayant donné lieu au litige est comptabilisée ; il en va de même pour la donne suivante sur laquelle sont
reportés les points.

### *10.4.2. Limite de points*

La première équipe atteignant ou dépassant le nombre de points **défini par le tournoi** remporte la partie.

+ Si les deux camps dépassent les points fixés au même moment, c'est celui qui a le plus de points au-delà qui remporte
  la partie.

+ En cas d'égalité, une nouvelle donne est jouée jusqu'à ce que l'égalité soit rompue. Dans le cas où la règle de
  l'arrondi est appliquée, l'arrondi permet de remporter la partie.

Exemple : lors d'une partie en 1000 points, si une équipe a 910 points et réalise 85 points, elle marque selon la règle
de l'arrondi 90 points ce qui mène son score à 1000 points. Elle remporte la partie.

***

# **11. Variante : Sans Atout / Tout Atout**

L’organisateur d’un tournoi peut décider de le jouer avec la variante du Sans Atout / Tout Atout. Cette variante permet
de prendre, en sus des 4 couleurs d’atout possibles, à « Sans Atout »
(il n’existe aucune couleur d’atout) et « Tout atout » (toutes les couleurs sont atout), et implique les changements
suivants :

## 11.1. Tour d’enchères

Un joueur peut prendre à la couleur ainsi qu’à Sans Atout et Tout Atout.

## 11.2. Sans Atout

Lors d'un contrat à Sans Atout, il n'y a aucun atout. De fait, il est impossible de couper. Il n'y a pas de belote
possible.

L'ordre et la valeur des cartes sont les suivants :

| Carte | Valeur    |
| ----- | --------- |
| As    | 19 points |
| Dix   | 10 points |
| Roi   | 4 points  |
| Dame  | 3 points  |
| Valet | 0 points  |
| Neuf  | 0 points  |
| Huit  | 0 point   |
| Sept  | 0 point   |

## 11.3. Tout Atout

Lors d'un contrat à Tout Atout, toutes les couleurs sont définies comme atout. De fait, il est impossible de couper et
il est obligatoire de monter sur la carte qui tient, quand cela est possible.

**Il peut y avoir jusqu'à 4 belotes**. L'ordre et la valeur des cartes sont ceux de l'atout.

Par conséquent le nombre total de points est de 258 points.

> Pour calculer le score de la donne, il faut multiplier le nombre de points comptés
> (hors belote) par la fraction 162/258 puis rajouter les éventuelles belotes.

L'organisateur du tournoi mettra à disposition des joueurs une table de conversion qui retranscrit ce calcul.

Exemple :
Après décompte, mon équipe réalise 198 points plus une belote. Après conversion, le score réalisé est de 124 points
(198 × 162 / 258) plus le bonus de 20 points apporté par la belote, soit 144 points.
